VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceShadingRateImageFeaturesNV (Bool32 shadingRateImage_=0, Bool32 shadingRateCoarseSampleOrder_=0)
| PhysicalDeviceShadingRateImageFeaturesNV (VkPhysicalDeviceShadingRateImageFeaturesNV const &rhs)
PhysicalDeviceShadingRateImageFeaturesNV & | operator= (VkPhysicalDeviceShadingRateImageFeaturesNV const &rhs)
PhysicalDeviceShadingRateImageFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceShadingRateImageFeaturesNV & | setShadingRateImage (Bool32 shadingRateImage_)
PhysicalDeviceShadingRateImageFeaturesNV & | setShadingRateCoarseSampleOrder (Bool32 shadingRateCoarseSampleOrder_)
| operator VkPhysicalDeviceShadingRateImageFeaturesNV const & () const
| operator VkPhysicalDeviceShadingRateImageFeaturesNV & ()
bool | operator== (PhysicalDeviceShadingRateImageFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceShadingRateImageFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | shadingRateImage
Bool32 | shadingRateCoarseSampleOrder

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceShadingRateImageFeaturesNV

## Detailed Description

Definition at line 19879 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceShadingRateImageFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::PhysicalDeviceShadingRateImageFeaturesNV | ( | Bool32 | shadingRateImage_ = `0`,
|  | Bool32 | shadingRateCoarseSampleOrder_ = `0`
| ) |  |

inline

Definition at line 19881 of file vulkan.hpp.

: shadingRateImage( shadingRateImage_ )
, shadingRateCoarseSampleOrder( shadingRateCoarseSampleOrder_ )
{
}

## PhysicalDeviceShadingRateImageFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::PhysicalDeviceShadingRateImageFeaturesNV | ( | VkPhysicalDeviceShadingRateImageFeaturesNV const & | rhs | ) |

inline

Definition at line 19888 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceShadingRateImageFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceShadingRateImageFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator VkPhysicalDeviceShadingRateImageFeaturesNV & | ( |  | ) |

inline

Definition at line 19921 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceShadingRateImageFeaturesNV*>(this);
}

## operator VkPhysicalDeviceShadingRateImageFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator VkPhysicalDeviceShadingRateImageFeaturesNV const & | ( |  | ) | const

inline

Definition at line 19916 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceShadingRateImageFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator!= | ( | PhysicalDeviceShadingRateImageFeaturesNV const & | rhs | ) | const

inline

Definition at line 19934 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceShadingRateImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator= | ( | VkPhysicalDeviceShadingRateImageFeaturesNV const & | rhs | ) |

inline

Definition at line 19893 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceShadingRateImageFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator== | ( | PhysicalDeviceShadingRateImageFeaturesNV const & | rhs | ) | const

inline

Definition at line 19926 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( shadingRateImage == rhs.shadingRateImage )
&& ( shadingRateCoarseSampleOrder == rhs.shadingRateCoarseSampleOrder );
}

References pNext, shadingRateCoarseSampleOrder, shadingRateImage, and sType.

Referenced by operator!=().

## setPNext()

PhysicalDeviceShadingRateImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 19898 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setShadingRateCoarseSampleOrder()

PhysicalDeviceShadingRateImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::setShadingRateCoarseSampleOrder | ( | Bool32 | shadingRateCoarseSampleOrder_ | ) |

inline

Definition at line 19910 of file vulkan.hpp.

{
shadingRateCoarseSampleOrder = shadingRateCoarseSampleOrder_;
return *this;
}

References shadingRateCoarseSampleOrder.

## setShadingRateImage()

PhysicalDeviceShadingRateImageFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::setShadingRateImage | ( | Bool32 | shadingRateImage_ | ) |

inline

Definition at line 19904 of file vulkan.hpp.

{
shadingRateImage = shadingRateImage_;
return *this;
}

References shadingRateImage.

## Field Documentation

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::pNext = nullptr

Definition at line 19943 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## shadingRateCoarseSampleOrder

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::shadingRateCoarseSampleOrder

Definition at line 19945 of file vulkan.hpp.

Referenced by operator==(), and setShadingRateCoarseSampleOrder().

## shadingRateImage

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::shadingRateImage

Definition at line 19944 of file vulkan.hpp.

Referenced by operator==(), and setShadingRateImage().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::sType = StructureType::ePhysicalDeviceShadingRateImageFeaturesNV

private

Definition at line 19940 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::shadingRateImage
Bool32 shadingRateImage
Definition: vulkan.hpp:19944
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:19943
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::shadingRateCoarseSampleOrder
Bool32 shadingRateCoarseSampleOrder
Definition: vulkan.hpp:19945
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:19940
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::operator==
bool operator==(PhysicalDeviceShadingRateImageFeaturesNV const &rhs) const
Definition: vulkan.hpp:19926
VULKAN_HPP_NAMESPACE::PhysicalDeviceShadingRateImageFeaturesNV::PhysicalDeviceShadingRateImageFeaturesNV
PhysicalDeviceShadingRateImageFeaturesNV(Bool32 shadingRateImage_=0, Bool32 shadingRateCoarseSampleOrder_=0)
Definition: vulkan.hpp:19881
VkPhysicalDeviceShadingRateImageFeaturesNV
Definition: vulkan_core.h:8056